> For the complete documentation index, see [llms.txt](https://docs.mongoing.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mongoing.com/can-kao/shu-ju-ku-ming-ling/query-plan-cache-commands.md).

# 查询计划缓存命令

> **注意**
>
> 有关特定命令的详细信息，包括语法和示例，请单击特定命令以转到其参考页面。

| 名称                                                                                      | 描述                 |
| --------------------------------------------------------------------------------------- | ------------------ |
| [`planCacheClear`](/can-kao/shu-ju-ku-ming-ling/query-plan-cache-commands.md)           | 删除集合的缓存查询计划。       |
| [`planCacheClearFilters`](/can-kao/shu-ju-ku-ming-ling/query-plan-cache-commands.md)    | 清除集合的索引过滤器。        |
| [`planCacheListFilters`](/can-kao/shu-ju-ku-ming-ling/query-plan-cache-commands.md)     | 列出集合的索引过滤器。        |
| [`planCacheListPlans`](/can-kao/shu-ju-ku-ming-ling/query-plan-cache-commands.md)       | 显示指定查询模型的缓存查询计划。   |
| [`planCacheListQueryShapes`](/can-kao/shu-ju-ku-ming-ling/query-plan-cache-commands.md) | 显示存在其缓存的查询计划的查询模型。 |
| [`planCacheSetFilter`](/can-kao/shu-ju-ku-ming-ling/query-plan-cache-commands.md)       | 为集合设置索引过滤器。        |

译者：李冠飞

校对：


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.mongoing.com/can-kao/shu-ju-ku-ming-ling/query-plan-cache-commands.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
